Skip to content
Developer

SchoolHolidayRegion

Staff5 EndpointsTimeTracking / SchoolHolidayRegion

This method will get all SchoolHolidayRegion Objects

GET/api/time/school_holiday_region

Query parameters

idinteger
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
namestring
regionCodestringShort code, e.g. the Bundesland code (NI, HH, ...). Optional, for pickers and imports.
sortOrderintegerOrder in pickers.
createdstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of SchoolHolidayRegion objectsarray<SchoolHolidayRegion>

Show fields (8)
  • idinteger

    Primary key of the school holiday region. Internal ID.

  • region_codestring

    Short code, e.g. the Bundesland code (NI, HH, ...). Optional, for pickers and imports.

  • sort_orderinteger

    Order in pickers.

  • search_stringstring

    Text that the entity can be searched by.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/time/school_holiday_region \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "region_code": "string",
    "sort_order": 1,
    "search_string": "string",
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  }
]

Add a new SchoolHolidayRegion

POST/api/time/school_holiday_region

Request body application/json

  • dataSchoolHolidayRegion2
    Show fields (4)
    • region_codestring

      Short code, e.g. the Bundesland code (NI, HH, ...). Optional, for pickers and imports.

    • sort_orderinteger

      Order in pickers.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

Responses

200Add a new SchoolHolidayRegionSchoolHolidayRegion

Show fields (8)
  • idinteger

    Primary key of the school holiday region. Internal ID.

  • region_codestring

    Short code, e.g. the Bundesland code (NI, HH, ...). Optional, for pickers and imports.

  • sort_orderinteger

    Order in pickers.

  • search_stringstring

    Text that the entity can be searched by.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/time/school_holiday_region \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "region_code": "string",
    "sort_order": 1,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "region_code": "string",
  "sort_order": 1,
  "search_string": "string",
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

This method will get a single SchoolHolidayRegion with the given id

GET/api/time/school_holiday_region/{id}

Path parameters

idrequiredstring

Responses

200Returns a single SchoolHolidayRegionSchoolHolidayRegion

Show fields (8)
  • idinteger

    Primary key of the school holiday region. Internal ID.

  • region_codestring

    Short code, e.g. the Bundesland code (NI, HH, ...). Optional, for pickers and imports.

  • sort_orderinteger

    Order in pickers.

  • search_stringstring

    Text that the entity can be searched by.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/time/school_holiday_region/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "region_code": "string",
  "sort_order": 1,
  "search_string": "string",
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

Update a SchoolHolidayRegion

PUT/api/time/school_holiday_region/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataSchoolHolidayRegion2
    Show fields (4)
    • region_codestring

      Short code, e.g. the Bundesland code (NI, HH, ...). Optional, for pickers and imports.

    • sort_orderinteger

      Order in pickers.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

Responses

200Update a SchoolHolidayRegionSchoolHolidayRegion

Show fields (8)
  • idinteger

    Primary key of the school holiday region. Internal ID.

  • region_codestring

    Short code, e.g. the Bundesland code (NI, HH, ...). Optional, for pickers and imports.

  • sort_orderinteger

    Order in pickers.

  • search_stringstring

    Text that the entity can be searched by.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/time/school_holiday_region/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "region_code": "string",
    "sort_order": 1,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "region_code": "string",
  "sort_order": 1,
  "search_string": "string",
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

Update a SchoolHolidayRegion

PATCH/api/time/school_holiday_region/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataSchoolHolidayRegion2
    Show fields (4)
    • region_codestring

      Short code, e.g. the Bundesland code (NI, HH, ...). Optional, for pickers and imports.

    • sort_orderinteger

      Order in pickers.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

Responses

200Update a SchoolHolidayRegionSchoolHolidayRegion

Show fields (8)
  • idinteger

    Primary key of the school holiday region. Internal ID.

  • region_codestring

    Short code, e.g. the Bundesland code (NI, HH, ...). Optional, for pickers and imports.

  • sort_orderinteger

    Order in pickers.

  • search_stringstring

    Text that the entity can be searched by.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/time/school_holiday_region/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "region_code": "string",
    "sort_order": 1,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "region_code": "string",
  "sort_order": 1,
  "search_string": "string",
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}